%global srcname gammu

Name:       python-gammu
Version:    2.9
Release:    2%{?dist}
Summary:    Python bindings for Gammu
Group:      Development/Languages
License:    GPLv2+
URL:        http://wammu.eu/python-gammu/
Source0:    https://github.com/gammu/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools
BuildRequires:  gammu-devel >= 1.38
#for tests: Solve DBI failed to initialize!
BuildRequires:  libdbi-dbd-sqlite

Requires:       gammu >= 1.38

%description
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking
system for feature requests.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking
system for feature requests.

%package -n python3-%{srcname}
Summary:  Python bindings for Gammu
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python3 bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking
system for feature requests.

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test || :
%{__python3} setup.py test || :

%files -n python2-%{srcname}
%doc AUTHORS NEWS.rst README.rst
%license COPYING
%{python2_sitearch}/gammu
%{python2_sitearch}/python_gammu-*.egg-info

%files -n python3-%{srcname}
%doc AUTHORS NEWS.rst README.rst examples/*
%license COPYING
%{python3_sitearch}/gammu
%{python3_sitearch}/python_gammu-*.egg-info

%changelog
* Sun Aug 20 2017 Sérgio Basto <sergio@serjux.com> - 2.9-2
- Bump for another build

* Sun Aug 20 2017 Sérgio Basto <sergio@serjux.com> - 2.9-1
- Update to 2.9 (#1460053)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.6-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May 29 2016 Sérgio Basto <sergio@serjux.com> - 2.6-1
- Update python-gammu to 2.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Sérgio Basto <sergio@serjux.com> - 2.5-1
- Update python-gammu to 2.5

* Tue Nov 17 2015 Sérgio Basto <sergio@serjux.com> - 2.4-2
- Fixed 3 typos:
  - %{?python_provide:%python_provide python2-%{srcname}} is duplicated on line 22.
  It should only be present on line 33.
  - python2-gammu contains %{python3_sitearch}/gammu. This does not look right.
  - python2_sitearch should be used instead of python_sitearch.

* Sun Nov 08 2015 Sérgio Basto <sergio@serjux.com> - 2.4-1
- Update python-gammu to 2.4
- Added python3 support

* Tue Jun 16 2015 Sérgio Basto <sergio@serjux.com> - 2.3-1
- python-gammu is independent since gammu-1.36, again ...

* Thu Jan  8 2009 Caolán McNamara <caolanm@redhat.com> - 0.28-1
- devel n-v-r < F-10, syncing to rebuild against libGammu

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.27-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.27-2
- Rebuild for Python 2.6

* Sat Oct 11 2008 Xavier Lamien <lxtnow@gmail.com> - 0.27-1
- Update release.

* Sun Sep 14 2008 Xavier Lamien <lxtnow@gmail.com> - 0.26-3
- Rebuild.

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.26-2
- fix license tag

* Mon Aug 25 2008 Xavier Lamien <lxtnow@gmail.com> - 0.26-1
- Update release.

* Sat Apr 05 2008 Xavier Lamien <lxtnow@gmail.com> - 0.24-3
- Added missing file on Rawhide.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.24-2
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.24-1
- Updated Release.

* Wed Oct 17 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.22-3
- Added pcc arch build.

* Sun Oct 14 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.22-2
- Excluded pcc arch for now, build error reported to upstream.

* Fri Oct 12 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.22-1
- Updated Release.

* Tue Jul 03 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.21-1
- Updated Release.

* Wed May 23 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.20-1
- Updated release.
- fixed permission on examples files.
- added gammu as require (need it to work with wammu package).
 
* Tue May 08 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-1
- Initial RPM Release.
